{ pkgs, ... }:
{

  home.packages = [
    pkgs.shikane
  ];
  systemd.user.services.shikane = {
    Unit = {
      Description = "Dynamic output configuration tool";
      Documentation = "man:shikane(1)";
      After = [ "graphical-session-pre.target" ];
      PartOf = [ "graphical-session.target" ];
    };

    Service = { ExecStart = "${pkgs.shikane}/bin/shikane"; };

    Install = { WantedBy = [ "graphical-session.target" ]; };
  };
}
